Description

My webserver is not the same as my SQL server, so I configured my database.yml file as follows:

production:

  adapter: mysql

  database: redmine

  username: redmine

  password: *****

  encoding: utf8

  host: storage

 Note: storage is a resolvable hostname on the webserver.

But then, when I try to load a page, I get the following error:

Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)

 
/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/mysql_adapter.rb:5

27:in `real_connect'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/mysql_adapter.rb:5

27:in `connect'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/mysql_adapter.rb:1

86:in `initialize'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/mysql_adapter.rb:8

5:in `new'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/mysql_adapter.rb:8

5:in `mysql_connection'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/connectio

n_specification.rb:292:in `send'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/connectio

n_specification.rb:292:in `connection='

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/connectio

n_specification.rb:260:in `retrieve_connection'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/connectio

n_specification.rb:78:in `connection'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/query_cache.rb:8:in `cache'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:12:in `perform_

action'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `send'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `process_without_filt

ers'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:568:in `process_without_s

ession_management_support'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/session_management.rb:130:in `proces

s'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:389:in `process'

/var/lib/gems/1.8/gems/rails-2.1.2/lib/fcgi_handler.rb:103:in `process_request'

/var/lib/gems/1.8/gems/rails-2.1.2/lib/fcgi_handler.rb:153:in `with_signal_handler'

/var/lib/gems/1.8/gems/rails-2.1.2/lib/fcgi_handler.rb:101:in `process_request'

/var/lib/gems/1.8/gems/rails-2.1.2/lib/fcgi_handler.rb:78:in `process_each_request'
/var/lib/gems/1.8/gems/rails-2.1.2/lib/fcgi_handler.rb:77:in `process_each_request'

/var/lib/gems/1.8/gems/rails-2.1.2/lib/fcgi_handler.rb:76:in `catch'

/var/lib/gems/1.8/gems/rails-2.1.2/lib/fcgi_handler.rb:76:in `process_each_request'

/var/lib/gems/1.8/gems/rails-2.1.2/lib/fcgi_handler.rb:50:in `process!'

/var/lib/gems/1.8/gems/rails-2.1.2/lib/fcgi_handler.rb:24:in `process!'

 Honestly, I don't know anything about Rails, so maybe it is not the right place to report such a problem. Any help would be

appreciated.

History

#1 - 2009-02-23 13:38 - A. Ni.

Hi Simon,

please look at this: http://rubyresponse.wordpress.com/2006/07/22/cant-find-mysqldsock/

This helped me a while ago.

Cheers,

A.

#2 - 2009-02-23 15:32 - Simon van der Linden

As I stated in the issue description, my MySQL server is not running on the same machine as the webserver. There is thus no socket to look for!

Thanks for your attention, anyway.

#3 - 2009-02-23 15:35 - Jean-Baptiste Barth

Did you try with a fully qualified domain name ?

Did you try to connect on this server/db with just the "mysql" command (i.e. outside a rails app) ?

#4 - 2009-02-23 15:47 - Simon van der Linden

Jean-Baptiste Barth wrote:

Did you try with a fully qualified domain name ?

 Yes, I did. Even with an IP address, it doesn't work.

Did you try to connect on this server/db with just the "mysql" command (i.e. outside a rails app) ?

 Yes, I did. It works.

#5 - 2009-02-23 16:28 - Jean-Philippe Lang

How do you run/start Redmine ?

#6 - 2009-02-23 17:44 - Simon van der Linden

Jean-Philippe Lang wrote:

How do you run/start Redmine ?

 With the command given on the RedmineInstall wiki page:

# ruby script/server -e production

=> Booting lighttpd (use 'script/server webrick' to force WEBrick)

server: invalid option: -e

=> Rails 2.1.2 application starting on http://0.0.0.0:3000

=> Call with -d to detach

=> Ctrl-C to shutdown server (see config/lighttpd.conf for options)

checking plugin 'engines' for 'application_helper'

[...]

loading from application: application_helper

loading routes from /var/www/projects.vanderlinden.eu.org/vendor/plugins/engines/routes.rb

[...]

 Haha, pebcak: I didn't notice the invalid option warning.
However, I don't see any option that would set the environment:

# ruby script/server --help

=> Booting lighttpd (use 'script/server webrick' to force WEBrick)

Usage: server [options]

    -p, --port=port                  Changes the server.port number in the config/lighttpd.conf

    -c=[...]/config/lighttpd.conf

        --config                     Specify a different lighttpd config file.

    -h, --help                       Show this message.

    -d                               Call with -d to detac

#7 - 2009-02-23 17:51 - Jean-Philippe Lang

-e is a webrick option. Read the doc of lighttpd to see how to run it in production mode.

But you can try this for now:

ruby script/server webrick -e production

#8 - 2009-02-23 21:10 - Simon van der Linden

- Status changed from New to Resolved

Good, it works. Shall I update the wiki page accordingly?

#9 - 2009-02-23 23:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (0.8.0)

- Resolution set to Invalid

Done.
